# $Revision: 1.22.2.1 $, $Date: 2007/02/28 08:36:32 $
# TODO
# - convert all plugin packages to store their plugins in this base
#   directory.
# known NPAPI compatible browsers from PLD Linux CVS:
# - galeon
# - kazehakase
# - konqueror
# - mozilla
# - mozilla-firefox
# - mozilla-firefox-bin
# - netscape (trigger on netscape-common)
# - opera (ix86, ppc, sparc* only)
# - seamonkey
# - skipstone
Summary:	Base package for web browser plugins
Summary(pl):	Podstawowy pakiet dla wtyczek przegldarek WWW
Name:		browser-plugins
Version:	2.0.1
Release:	1
License:	GPL
Group:		Base
BuildRequires:	rpmbuild(macros) >= 1.356
Source0:	%{name}.README
Source1:	%{name}-update.sh
Requires:	filesystem >= 2.0-1.2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	%{_browserpluginsconfdir}

%description
This package provides base directory for browser plugins complying to
Netscape Plugin API (NPAPI).

Browsers known to support NPAPI:
- Netscape Communicator/Navigator
- Mozilla/Mozilla Firefox/Seamonkey
- Opera
- Konqueror

%description -l pl
Ten pakiet dostarcza podstawowy katalog dla wtyczek przegldarek
zgodnych z Netscape Plugin API (NPAPI).

Przegldarki obsugujce NPAPI to:
- Netscape Communicator/Navigator
- Mozilla/Mozilla Firefox/Seamonkey
- Opera
- Konqueror

%prep
%setup -qcT
cp -a %{SOURCE0} README
cp -a %{SOURCE1} update-browser-plugins

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/{blacklist,browsers}.d,%{_sbindir}}
install update-browser-plugins $RPM_BUILD_ROOT%{_sbindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_browser_plugins

# we don't need postin script as all browsers depend on this package and
# therefore this package should be last one to go from system.

%files
%defattr(644,root,root,755)
%dir %{_sysconfdir}
%dir %{_sysconfdir}/browsers.d
%dir %{_sysconfdir}/blacklist.d
%attr(755,root,root) %{_sbindir}/update-browser-plugins

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: browser-plugins.spec,v $
Revision 1.22.2.1  2007/02/28 08:36:32  glen
- 2.0.1: bugfix for dead symlinks in browsers.d dir

Revision 1.22  2006/12/23 02:40:46  glen
- browser plugins v2 unleashed

Revision 1.21  2006/11/01 11:54:25  glen
- there's no uninstall, plugins get to dead symlinks after uninstall which update script deletes

Revision 1.20  2006/10/30 23:43:07  glen
- local.* files are not handled. drop them

Revision 1.19  2006/10/30 22:27:29  glen
- planted TODO-s

Revision 1.18  2006/10/30 22:19:11  glen
- sorted browsers, updated opera archlist

Revision 1.17  2006/10/30 17:25:58  shadzik
- add support for mozilla-firefox-bin

Revision 1.16  2006/09/29 13:08:44  glen
- no scripts yet

Revision 1.15  2006/09/16 12:35:35  glen
- unuse %{name}

Revision 1.14  2006/09/16 12:32:48  glen
- temp rename to allow old package being used

Revision 1.13  2006/09/14 16:18:54  glen
- started browser-plugins 2.0
